package com.ssj.bean.weixin.problem.domain;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name = "tb_valid_vip")
public class ValidVip extends BaseEntity{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String libId;//图书馆id
	private Integer vipTotal;//会员总数
	private Integer family;//家庭数
	private Integer yearCard;//借阅卡年卡总数
	private Integer halfCard;//借阅卡半年卡总数
	private Integer monthCard;//借阅卡月卡总数
	private Integer weekendCard;//周末卡总数
	private Integer taskCard;//作业卡月卡总数
	private Integer taskyearCard;//作业卡年卡总数
	private Integer holiday;//寒假卡总数
	private Integer features;//特色课总数
	
	private String month;//月份
	private Integer type;//类别

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public Integer getVipTotal() {
		return vipTotal;
	}

	public void setVipTotal(Integer vipTotal) {
		this.vipTotal = vipTotal;
	}

	public Integer getFamily() {
		return family;
	}

	public void setFamily(Integer family) {
		this.family = family;
	}

	public Integer getYearCard() {
		return yearCard;
	}

	public void setYearCard(Integer yearCard) {
		this.yearCard = yearCard;
	}

	public Integer getHalfCard() {
		return halfCard;
	}

	public void setHalfCard(Integer halfCard) {
		this.halfCard = halfCard;
	}

	public Integer getMonthCard() {
		return monthCard;
	}

	public void setMonthCard(Integer monthCard) {
		this.monthCard = monthCard;
	}

	public Integer getWeekendCard() {
		return weekendCard;
	}

	public void setWeekendCard(Integer weekendCard) {
		this.weekendCard = weekendCard;
	}

	public Integer getTaskCard() {
		return taskCard;
	}

	public void setTaskCard(Integer taskCard) {
		this.taskCard = taskCard;
	}

	public Integer getTaskyearCard() {
		return taskyearCard;
	}

	public void setTaskyearCard(Integer taskyearCard) {
		this.taskyearCard = taskyearCard;
	}

	public Integer getHoliday() {
		return holiday;
	}

	public void setHoliday(Integer holiday) {
		this.holiday = holiday;
	}

	public Integer getFeatures() {
		return features;
	}

	public void setFeatures(Integer features) {
		this.features = features;
	}

	public String getMonth() {
		return month;
	}

	public void setMonth(String month) {
		this.month = month;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}
	
	

}
